-- GoH Event Registrations
	GoH = {}
	GoH.events = {}

	GoH.eventFrame = CreateFrame("Frame");
	GoH.eventFrame:SetScript("OnEvent", function(self, event, ...) GoH.events[event](...) end);

	-- EVERY EVENT YOU REGISTER MUST HAVE A FUNCTION
	GoH.eventFrame:RegisterEvent("ADDON_LOADED");
   	GoH.eventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
    GoH.eventFrame:RegisterEvent("PLAYER_REGEN_DISABLED");
   	GoH.eventFrame:RegisterEvent("PLAYER_REGEN_ENABLED");
    GoH.eventFrame:RegisterEvent("PLAYER_LOGIN")


-- #######################################
-- #######################################
-- INFORMATION GATHERING FOR VARIABLES LATER ON
-- #######################################
-- #######################################
	-- GENDER TABLE
	local genderTable = { "Unknown", "Male", "Female" };
	-- PLAYER CLASS
	local playerClass, EngClass = UnitClass("player");

	-- PLAYER FACTION
	local englishFaction, localizedFaction = UnitFactionGroup("player");




-- #######################################
-- #######################################
-- VARIABLES YOU CAN USE TO CHECK THINGS
-- #######################################
-- #######################################
	-- UNITNAME: CHARACTER / FACTION / CLASS / GENDER / LEVEL
	GoH.CharName = UnitName("player");				-- (ToonName) Your Toon
	GoH.Class = EngClass; 							-- (Class) Your Toon
	GoH.Gender = genderTable[UnitSex("player")];	-- (Gender) Your Toon
	GoH.Faction = englishFaction;					-- (Faction) Your Toon
	GoH.CharLevel = UnitLevel("player");			-- (Level) Of Your Toon
	GoH.NumberRandom = 1;							-- (Random Number Generator)




-- #######################################
-- #######################################
-- LOAD ADDON FUNCTION
-- #######################################
-- #######################################
function GoH.events.ADDON_LOADED(addon)

	if addon ~= "GoH" then
		return;
	end

    -- If class isn't Death Knight unregister
    if (GoH.Class ~= "DEATHKNIGHT") then
        --GoH.eventFrame:UnregisterAllEvents()
         GoH.eventFrame:UnregisterEvent("ADDON_LOADED");
         GoH.eventFrame:UnregisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
         GoH.eventFrame:UnregisterEvent("PLAYER_REGEN_DISABLED");
   	     GoH.eventFrame:UnregisterEvent("PLAYER_REGEN_ENABLED");
   	     GoH.eventFrame:UnregisterEvent("PLAYER_LOGIN")
         return
    end

end

